# -*- coding: mbcs -*-
#
# Abaqus/CAE Version 6.8-4 replay file
# Internal Version: 2009_02_19-08.55.32 87503
# Run by barkey on Fri Aug 30 10:21:04 2013
#

# from driverUtils import executeOnCaeGraphicsStartup
# executeOnCaeGraphicsStartup()
#: Executing "onCaeGraphicsStartup()" in the site directory ...
from abaqus import *
from abaqusConstants import *
session.Viewport(name='Viewport: 1', origin=(0.0, 0.0), width=319.0, 
    height=239.0)
session.viewports['Viewport: 1'].makeCurrent()
session.viewports['Viewport: 1'].maximize()
from caeModules import *
from driverUtils import executeOnCaeStartup
executeOnCaeStartup()
Mdb()
#: A new model database has been created.
#: The model "Model-1" has been created.
session.viewports['Viewport: 1'].setValues(displayedObject=None)
mdb.ModelFromInputFile(name='pipe2', 
    inputFileName='C:/Users/barkey/Documents/pipe2.inp')
#: The model "pipe2" has been created.
#: The part "PART-1" has been imported from the input file.
#: The model "pipe2" has been imported from an input file. 
#: Please scroll up to check for error and warning messages.
a = mdb.models['pipe2'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
session.viewports['Viewport: 1'].partDisplay.setValues(sectionAssignments=ON, 
    engineeringFeatures=ON)
p = mdb.models['pipe2'].parts['PART-1']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
mdb.models['pipe2'].Material(name='steel')
mdb.models['pipe2'].materials['steel'].Elastic(table=((210000.0, 0.3), ))
mdb.models['pipe2'].HomogeneousSolidSection(name='Section-1', material='steel', 
    thickness=None)
p = mdb.models['pipe2'].parts['PART-1']
e = p.elements
elements = e.getSequenceFromMask(mask=('[#ffffffff:421 #fffffff ]', ), )
region = regionToolset.Region(elements=elements)
p = mdb.models['pipe2'].parts['PART-1']
p.SectionAssignment(region=region, sectionName='Section-1', offset=0.0, 
    offsetType=MIDDLE_SURFACE, offsetField='')
a = mdb.models['pipe2'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
a.regenerate()
session.viewports['Viewport: 1'].assemblyDisplay.setValues(loads=ON, bcs=ON, 
    predefinedFields=ON, connectors=ON)
a = mdb.models['pipe2'].rootAssembly
n1 = a.instances['PART-1-1'].nodes
nodes1 = n1.getSequenceFromMask(mask=('[#0:508 #ffffff00 #ffffffff:33 #f ]', ), 
    )
region = regionToolset.Region(nodes=nodes1)
mdb.models['pipe2'].PinnedBC(name='BC-1', createStepName='Initial', 
    region=region)
session.viewports['Viewport: 1'].assemblyDisplay.setValues(loads=OFF, bcs=OFF, 
    predefinedFields=OFF, connectors=OFF, adaptiveMeshConstraints=ON)
mdb.models['pipe2'].StaticStep(name='apply pressure', previous='Initial')
session.viewports['Viewport: 1'].assemblyDisplay.setValues(
    step='apply pressure')
session.viewports['Viewport: 1'].view.setValues(nearPlane=1782.37, 
    farPlane=3303.62, width=967.23, height=778.025, cameraPosition=(2016.34, 
    1723.91, 74.5257), cameraUpVector=(-0.75837, 0.258464, -0.598391))
session.viewports['Viewport: 1'].view.setValues(nearPlane=1824.29, 
    farPlane=3234.11, width=989.976, height=796.322, cameraPosition=(1004.11, 
    1888.45, -1226.56), cameraUpVector=(-0.932049, -0.244984, -0.266959))
session.viewports['Viewport: 1'].assemblyDisplay.setValues(loads=ON, bcs=ON, 
    predefinedFields=ON, connectors=ON, adaptiveMeshConstraints=OFF)
a = mdb.models['pipe2'].rootAssembly
f1 = a.instances['PART-1-1'].elements
face1Elements1 = f1.getSequenceFromMask(mask=('[#ffffffff:28 #f ]', ), )
region = regionToolset.Region(face1Elements=face1Elements1)
mdb.models['pipe2'].Pressure(name='Load-1', createStepName='apply pressure', 
    region=region, distributionType=UNIFORM, field='', magnitude=-100.0, 
    amplitude=UNSET)
session.viewports['Viewport: 1'].view.setValues(nearPlane=1997.61, 
    farPlane=3060.78, width=136.356, height=109.683, viewOffsetX=-95.9726, 
    viewOffsetY=302.542)
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].assemblyDisplay.setValues(loads=OFF, bcs=OFF, 
    predefinedFields=OFF, connectors=OFF)
mdb.Job(name='shortpipe-1', model='pipe2', type=ANALYSIS, 
    explicitPrecision=SINGLE, nodalOutputPrecision=SINGLE, description='', 
    parallelizationMethodExplicit=DOMAIN, multiprocessingMode=DEFAULT, 
    numDomains=1, userSubroutine='', numCpus=1, memory=90, 
    memoryUnits=PERCENTAGE, scratch='', echoPrint=OFF, modelPrint=OFF, 
    contactPrint=OFF, historyPrint=OFF)
mdb.jobs['shortpipe-1'].submit(consistencyChecking=OFF)
#: The job input file "shortpipe-1.inp" has been submitted for analysis.
#: Job shortpipe-1: Analysis Input File Processor completed successfully.
#: Job shortpipe-1: Abaqus/Standard completed successfully.
#: Job shortpipe-1 completed successfully. 
o1 = session.openOdb(name='C:/Temp/shortpipe-1.odb')
session.viewports['Viewport: 1'].setValues(displayedObject=o1)
#: Model: C:/Temp/shortpipe-1.odb
#: Number of Assemblies:         1
#: Number of Assembly instances: 0
#: Number of Part instances:     1
#: Number of Meshes:             1
#: Number of Element Sets:       2
#: Number of Node Sets:          1
#: Number of Steps:              1
session.viewports['Viewport: 1'].odbDisplay.display.setValues(plotState=(
    CONTOURS_ON_DEF, ))
session.viewports['Viewport: 1'].view.setValues(nearPlane=1433.04, 
    farPlane=2701.73, width=861.512, height=687.176, cameraPosition=(1575.27, 
    410.14, 1469.41), cameraUpVector=(-0.166197, 0.776652, -0.60761))
session.viewports['Viewport: 1'].view.setValues(nearPlane=1488.2, 
    farPlane=2644.19, width=894.673, height=713.626, cameraPosition=(1935.89, 
    -236.137, 877.717), cameraUpVector=(-0.0630876, 0.803473, -0.59199))
session.viewports['Viewport: 1'].view.setValues(nearPlane=1393.58, 
    farPlane=2761.43, width=837.787, height=668.251, cameraPosition=(1320.18, 
    -1150.01, 1312.96), cameraUpVector=(0.504505, 0.704181, -0.499603))
session.viewports['Viewport: 1'].view.setValues(nearPlane=1429.06, 
    farPlane=2722.76, width=859.115, height=685.263, cameraPosition=(737.899, 
    -1665.71, 1189.88), cameraUpVector=(0.757453, 0.500425, -0.419331))
session.viewports['Viewport: 1'].view.setValues(nearPlane=1414.11, 
    farPlane=2730.55, width=850.126, height=678.093, cameraPosition=(1646.82, 
    -1018.27, 933.65), cameraUpVector=(0.294868, 0.838476, -0.458269))
session.viewports['Viewport: 1'].view.setValues(nearPlane=1478.87, 
    farPlane=2653.77, width=889.058, height=709.146, cameraPosition=(1938.05, 
    -370.74, 808.714), cameraUpVector=(-0.0420654, 0.857594, -0.512603))
del mdb.models['Model-1']
mdb.saveAs(pathName='C:/Temp/pipe2-short-duplicate-nodes')
#: The model database has been saved to "C:\Temp\pipe2-short-duplicate-nodes.cae".
